Ubuntu 10.x- ja 11.x-versioiden Linux-käyttöjärjestelmän käyttäjät saattavat nähdä tyhjän tai mustan näytön toistettaessa suojattua videosisältöä Flash Player 11:llä. (Tämä ongelma ilmenee esimerkiksi Amazon Instant Video -palvelussa.) Tämän ongelman aiheuttaa Ubuntun puuttuva Hardware Abstraction Layer -moduuli (HAL), jota ei ole oletuksena asennettu. Jos tuotteen valmistaja näyttää virheitä-viestin, käyttäjät näkevät DRM-virheen 3323 tai 3322.

Edellytykset suojatun sisällön toistoon

Ubuntun versio 10.04 tai uudemmat: tarkista apt-get-komennon avulla, että Hardware Abstraction Layer -moduuli on asennettu.
(Varo ”hal”-asennusvirheitä, koska vioittuneen paketin asennus voi aiheuttaa edelleen ongelmia videoiden toistossa.)

sudo apt-get install hal

Kun ”libhal”-kirjaston (HAL) asennus on valmis, sulje selain ja tyhjennä Adobe Access -ohjelmiston hakemistot suorittamalla seuraavat komennot:

cd ~/.adobe/Flash_Player
rm -rf NativeCache AssetCache APSPrivateData2

Huomautus:

Jos Hardware Abstraction Layer -moduuli puuttuu, Flash Player toimii silti. Se ei kuitenkaan voi toistaa suojattua sisältöä, joka vaatii Adobe Flash Access Digital Rights Management -moduulin (DRM).

Tuki suunnitelluille 64-bittisille Linux-versioille

Adobe julkaisee järjestelmätukea 32-bittiselle ja 64-bittiselle Linuxille Flash Player 11 -sivuston järjestelmävaatimukset-osiossa. Tällä hetkellä tuetut jakelupaketit (32-bittiset ja 64-bittiset) ovat Redhat Enterprise Linux 5.6 tai uudempi sekä Ubuntu 10.04 tai uudempi.

openSuse on myös tuettu.

Asenna oikea 32-bittinen tai 64-bittinen Flash Player -laajennus

Siirry osoitteeseen http://www.adobe.com/go/flashplayer_fi asentaaksesi uusimman Flash Playerin järjestelmääsi.

Jos et ole varma mikä Linux-paketti sinun pitäisi asentaa, napsauta linkkiä Onko sinulla eri käyttöjärjestelmä tai selain? josta löytyy lisää käyttöjärjestelmävaihtoehtoja.

openSuse ja muut Linux-versiot

Joissakin Linux-jakelupaketeissa on erilainen tapa pakettien hallintaan, erityisesti openSUSE-paketissa. openSuse käyttää RPM-tiedostomuotoa pakettien tiedostomuotona. Sillä on kuitenkin oma ylätason työkalu järjestelmän ohjelmiston asennuksen hallintaan. 
.rpm-asennukset openSuse-pakettiin (32-bittiseen ja 64-bittiseen) ovat oikukkaita. Ne saattavat aiheuttaa yleisen virheen ”Viestiin ei tullut vastausta (aikakatkaisu viestiväylän toimesta)”.

Lataa näissä tapauksissa sen sijaan .tar.gz-arkisto ja aseta Flash Player (libflashplayer.so) seuraavaan sijaintiin:

/usr/lib/adobe-flashplugin/libflashplayer.so

Suojatun videosisällön toiston testaaminen demosoittimen avulla

  1. Käynnistä Adoben demosoitin-säilö: http://drmtest2.adobe.com:8080/SVP/SampleVideoPlayer_FP.html

    Adobe Flash Player -versio näkyy demovideon vasemmassa alakulmassa. Tarkista, että versio on 11.2 tai uudempi.
  2. Toista suojattua sisältöä.
     
    Syötä seuraava osoite kenttään "Input the video URL”: (kirjainkoon huomioon ottava)
      http://drmtest2.adobe.com:8080/Content/anonymous.f4v
       
  3. Napsauta [Play]-painiketta videosäilön alaosassa.

Suojattua anonymous.f4v-sisältöä toistetaan. (Tämän videon nimi on Getty ”train”.)

 

Tuotteet, joita asia koskee

Adobe Flash Player 11, Flash Access (FAXS), Ubuntu 10.x & 11.x Linux

Lisensoitu Creative Commons Attribution-Noncommercial-Share Alike 3.0 Unported License -lisenssin mukaan.  Creative Commons -lisenssien ehdot eivät koske Twitter™- ja Facebook-viestejä.

Lakisääteiset ilmoitukset   |   Online-tietosuojakäytäntö